Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_statement_decode

## Name

librdf_statement_decode -- Decodes a statement from a buffer

## Synopsis

``size_t `librdf_statement_decode`` (librdf_statement* `statement`, unsigned char * `buffer`, size_t `length`);`

## Arguments

`statement`

  the statement to deserialise into

`buffer`

  the buffer to use

`length`

  buffer size

## Description

Decodes the serialised statement (as created by `librdf_statement_encode` ) from the given buffer.

## Return value

number of bytes used or 0 on failure (bad encoding, allocation failure)

<<< Previous | Home | Next >>>
librdf_statement_encode_parts | Up | librdf_statement_decode_parts